Index: LMDZ5/branches/testing/libf/phylmd/stdlevvar.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/stdlevvar.F90	(revision 1750)
+++ LMDZ5/branches/testing/libf/phylmd/stdlevvar.F90	(revision 1795)
@@ -23,5 +23,5 @@
 ! klon----input-I- dimension de la grille physique (= nb_pts_latitude X nb_pts_longitude)
 ! knon----input-I- nombre de points pour un type de surface
-! nsrf----input-I- indice pour le type de surface; voir indicesol.h
+! nsrf----input-I- indice pour le type de surface; voir indice_sol_mod.F90
 ! zxli----input-L- TRUE si calcul des cdrags selon Laurent Li
 ! u1------input-R- vent zonal au 1er niveau du modele
Index: LMDZ5/branches/testing/libf/phylmd/stratocu_if.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/stratocu_if.F90	(revision 1750)
+++ LMDZ5/branches/testing/libf/phylmd/stratocu_if.F90	(revision 1795)
@@ -1,5 +1,8 @@
   SUBROUTINE stratocu_if(klon,klev,pctsrf,paprs, pplay,t &
 ,seuil_inversion,weak_inversion,dthmin)
-implicit none
+
+  USE indice_sol_mod
+
+IMPLICIT NONE
 
 !======================================================================
@@ -39,5 +42,4 @@
     REAL dthmin(klon), zdthdp
 
-    INCLUDE "indicesol.h"
     INCLUDE "YOMCST.h"
 
Index: LMDZ5/branches/testing/libf/phylmd/surf_land_bucket_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/surf_land_bucket_mod.F90	(revision 1750)
+++ LMDZ5/branches/testing/libf/phylmd/surf_land_bucket_mod.F90	(revision 1795)
@@ -27,9 +27,9 @@
     USE mod_grid_phy_lmdz
     USE mod_phys_lmdz_para
+    USE indice_sol_mod
 !****************************************************************************************
 ! Bucket calculations for surface. 
 !
     INCLUDE "clesphys.h"
-    INCLUDE "indicesol.h"
     INCLUDE "dimsoil.h"
     INCLUDE "YOMCST.h"
Index: LMDZ5/branches/testing/libf/phylmd/surf_land_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/surf_land_mod.F90	(revision 1750)
+++ LMDZ5/branches/testing/libf/phylmd/surf_land_mod.F90	(revision 1795)
@@ -31,6 +31,6 @@
     USE surf_land_bucket_mod
     USE calcul_fluxs_mod
+    USE indice_sol_mod
 
-    INCLUDE "indicesol.h"
     INCLUDE "dimsoil.h"
     INCLUDE "YOMCST.h"
Index: LMDZ5/branches/testing/libf/phylmd/surf_land_orchidee_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/surf_land_orchidee_mod.F90	(revision 1750)
+++ LMDZ5/branches/testing/libf/phylmd/surf_land_orchidee_mod.F90	(revision 1795)
@@ -44,4 +44,5 @@
     USE mod_synchro_omp
     USE carbon_cycle_mod, ONLY : carbon_cycle_cpl
+    USE indice_sol_mod
 
 !    
@@ -97,5 +98,4 @@
 !   qsurf        air moisture at surface
 !
-    INCLUDE "indicesol.h"
     INCLUDE "temps.h"
     INCLUDE "YOMCST.h"
@@ -551,5 +551,5 @@
     USE mod_grid_phy_lmdz
     USE mod_surf_para    
-    INCLUDE "indicesol.h"
+    USE indice_sol_mod
 
 #ifdef CPP_MPI
Index: LMDZ5/branches/testing/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90	(revision 1750)
+++ LMDZ5/branches/testing/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90	(revision 1795)
@@ -97,7 +97,7 @@
 !
     USE carbon_cycle_mod, ONLY : carbon_cycle_cpl, fco2_land_inst, fco2_lu_inst
+    USE indice_sol_mod
     IMPLICIT NONE
 
-    INCLUDE "indicesol.h"
     INCLUDE "temps.h"
     INCLUDE "YOMCST.h"
@@ -634,5 +634,6 @@
   SUBROUTINE Init_neighbours(knon,neighbours,ktindex,pctsrf)
     
-    INCLUDE "indicesol.h"
+    USE indice_sol_mod
+
     INCLUDE "dimensions.h"
 #ifdef CPP_MPI
Index: LMDZ5/branches/testing/libf/phylmd/surf_landice_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/surf_landice_mod.F90	(revision 1750)
+++ LMDZ5/branches/testing/libf/phylmd/surf_landice_mod.F90	(revision 1795)
@@ -25,6 +25,7 @@
     USE calcul_fluxs_mod
     USE phys_output_var_mod
-
-    INCLUDE "indicesol.h"
+    USE indice_sol_mod
+
+!    INCLUDE "indicesol.h"
     INCLUDE "dimsoil.h"
     INCLUDE "YOMCST.h"
Index: LMDZ5/branches/testing/libf/phylmd/surf_ocean_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/surf_ocean_mod.F90	(revision 1750)
+++ LMDZ5/branches/testing/libf/phylmd/surf_ocean_mod.F90	(revision 1795)
@@ -25,10 +25,11 @@
   USE ocean_slab_mod, ONLY   : ocean_slab_noice
   USE ocean_cpl_mod, ONLY    : ocean_cpl_noice
+  USE indice_sol_mod
 !
 ! This subroutine will make a call to ocean_XXX_noice according to the ocean mode (force, 
 ! slab or couple). The calculations of albedo and rugosity for the ocean surface are 
 ! done in here because they are identical for the different modes of ocean. 
-!
-    INCLUDE "indicesol.h"
+
+
     INCLUDE "YOMCST.h"
 
Index: LMDZ5/branches/testing/libf/phylmd/surf_seaice_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/surf_seaice_mod.F90	(revision 1750)
+++ LMDZ5/branches/testing/libf/phylmd/surf_seaice_mod.F90	(revision 1795)
@@ -25,4 +25,5 @@
   USE ocean_forced_mod, ONLY : ocean_forced_ice
   USE ocean_cpl_mod, ONLY    : ocean_cpl_ice
+  USE indice_sol_mod
 
 !
@@ -31,5 +32,4 @@
 ! in here because it is the same calculation for the different modes of ocean.
 !
-    INCLUDE "indicesol.h"
     INCLUDE "dimsoil.h"
 
Index: LMDZ5/branches/testing/libf/phylmd/sw_aeroAR4.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/sw_aeroAR4.F90	(revision 1750)
+++ LMDZ5/branches/testing/libf/phylmd/sw_aeroAR4.F90	(revision 1795)
@@ -18,5 +18,5 @@
      PSOLSWAERO,PSOLSW0AERO,&
      PTOPSWCFAERO,PSOLSWCFAERO,&
-     ok_ade, ok_aie, flag_aerosol )
+     ok_ade, ok_aie, flag_aerosol, flag_aerosol_strat )
 
   USE dimphy
@@ -138,4 +138,5 @@
 
   LOGICAL ok_ade, ok_aie    ! use aerosol forcings or not?
+  LOGICAL flag_aerosol_strat ! use stratospehric aerosols
   INTEGER flag_aerosol      ! global flag for aerosol 0 (no aerosol) or 1-5 (aerosols)
   REAL(KIND=8) tauaero(kdlon,kflev,9,2)  ! aerosol optical properties
@@ -307,5 +308,5 @@
      ENDIF ! swaero_diag .or. .not. AEROSOLFEEDBACK_ACTIVE
 
-     IF (flag_aerosol .GT. 0 ) THEN
+     IF (flag_aerosol .GT. 0 .OR. flag_aerosol_strat) THEN
 
      IF (ok_ade.and.swaero_diag .or. .not. ok_ade) THEN
@@ -498,5 +499,5 @@
      ENDIF ! ok_aie      
 
-     ENDIF !--if flag_aerosol GT 0
+     ENDIF !--if flag_aerosol GT 0 OR flag_aerosol_strat
 
      itapsw = 0
@@ -504,5 +505,5 @@
   itapsw = itapsw + 1
 
-  IF  ( AEROSOLFEEDBACK_ACTIVE .AND. flag_aerosol .GT. 0 ) THEN
+  IF  ( AEROSOLFEEDBACK_ACTIVE .AND. (flag_aerosol .GT. 0 .OR. flag_aerosol_strat) ) THEN
   IF ( ok_ade .and. ok_aie  ) THEN
     ZFSUP(:,:) =    ZFSUP_AERO(:,:,4)
Index: LMDZ5/branches/testing/libf/phylmd/thermcell_main.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/thermcell_main.F90	(revision 1750)
+++ LMDZ5/branches/testing/libf/phylmd/thermcell_main.F90	(revision 1795)
@@ -19,9 +19,10 @@
      &                  ,alp_bl_conv,alp_bl_stat &
 !!! fin nrlmd le 10/04/2012
-     &                         )
+     &                  ,ztva  )
 
       USE dimphy
       USE ioipsl
       USE comgeomphy , ONLY:rlond,rlatd
+      USE indice_sol_mod
       IMPLICIT NONE
 
@@ -67,7 +68,4 @@
 #include "iniprint.h"
 #include "thermcell.h"
-!!! nrlmd le 10/04/2012
-#include "indicesol.h"
-!!! fin nrlmd le 10/04/2012
 
 !   arguments:
Index: LMDZ5/branches/testing/libf/phylmd/tracinca_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/tracinca_mod.F90	(revision 1750)
+++ LMDZ5/branches/testing/libf/phylmd/tracinca_mod.F90	(revision 1795)
@@ -46,9 +46,9 @@
     USE comgeomphy
     USE control_mod
+    USE indice_sol_mod
 
     
     IMPLICIT NONE
     
-    INCLUDE "indicesol.h"
     INCLUDE "dimensions.h"
     INCLUDE "paramet.h"
Index: LMDZ5/branches/testing/libf/phylmd/traclmdz_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/traclmdz_mod.F90	(revision 1750)
+++ LMDZ5/branches/testing/libf/phylmd/traclmdz_mod.F90	(revision 1795)
@@ -95,6 +95,6 @@
     USE mod_grid_phy_lmdz
     USE mod_phys_lmdz_para
-
-    INCLUDE "indicesol.h"
+    USE indice_sol_mod
+
     INCLUDE "iniprint.h"
 ! Input variables
@@ -346,6 +346,7 @@
     USE o3_chem_m, ONLY: o3_chem
     USE carbon_cycle_mod, ONLY : carbon_cycle, carbon_cycle_tr, carbon_cycle_cpl
+    USE indice_sol_mod
+
     INCLUDE "YOMCST.h"
-    INCLUDE "indicesol.h"
 
 !==========================================================================
